# Changelog

## [integrations/google_vertex-v2.2.0] - 2024-10-23

### 🐛 Bug Fixes

- Make "project-id" parameter optional during initialization (#1141)
- Make project-id optional in all VertexAI generators (#1147)

### ⚙️ Miscellaneous Tasks

- Adopt uv as installer (#1142)

## [integrations/google_vertex-v2.1.0] - 2024-10-04

### 🚀 Features

- Enable streaming for VertexAIGeminiChatGenerator (#1014)
- Add tests for VertexAIGeminiGenerator and enable streaming (#1012)
- Add chatrole tests and meta for GeminiChatGenerators (#1090)
- Add custom params to VertexAIGeminiGenerator and VertexAIGeminiChatGenerator (#1100)

### 🐛 Bug Fixes

- Remove the use of deprecated gemini models (#1032)
- Chat roles for model responses in chat generators (#1030)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)
- Add tests for VertexAIChatGeminiGenerator and migrate from preview package in vertexai (#1042)

### ⚙️ Miscellaneous Tasks

- Retry tests to reduce flakyness (#836)
- Update ruff invocation to include check parameter (#853)
- Update ruff linting scripts and settings (#1105)

## [integrations/google_vertex-v1.1.0] - 2024-03-28

## [integrations/google_vertex-v1.0.0] - 2024-03-27

### 🐛 Bug Fixes

- Fix order of API docs (#447)

This PR will also push the docs to Readme

### 📚 Documentation

- Update category slug (#442)
- Review google vertex integration (#535)
- Small consistency improvements (#536)
- Disable-class-def (#556)

### Google_vertex

- Create api docs (#355)

## [integrations/google_vertex-v0.2.0] - 2024-01-26

## [integrations/google_vertex-v0.1.0] - 2024-01-03

### 🐛 Bug Fixes

- The default model of VertexAIImagegenerator (#158)

### ⚙️ Miscellaneous Tasks

- Replace - with _ (#114)

<!-- generated by git-cliff -->
